
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <section class="content">
        <div class="content-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                          <h3 class="card-title text-uppercase">Listado de clientes</h3>
                          <div class="d-flex justify-content-end">
                            <a href="{% url 'app_clientes:clientes_new' %}">
                              <button class="btn btn-secondary" style="font-size: 14px; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; font-weight: 600;"><i class="fa fa-user-plus"></i><span> Agregar cliente</span>
                              </button>
                            </a>

                            <!-- <button type="submit" class="btn bg-secondary btn-app btn-sm"><i class="fa fa-user-plus"></i><span>
                              Guardar</span>
                            </button> -->
                          </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                          {% if not obj %}
                            <div class="alert alert-info">No hay clientes registrados</div>           
                          {% else %}

                            <table id="example1" class="table table-bordered table-striped">
                              <thead>
                              <tr class="table-info" style="font-size: small;">
                                <th>ID</th>
                                <th>NOMBRE</th>
                                <th>AP PATERNO</th>  
                                <!-- <th>AP MATERNO</th> -->
                                <th>FECHA DE PAGO</th>
                                <th>LOCALIDAD</th>
                                <th>ACCIONES</th>
                              </tr>
                              </thead>
                              <tbody>
                                {% for item in obj %}
                                  <!-- registros de clientes -->
                                  <tr class="text-secondary" style="font-size: small; font-family: Nunito, system-ui, -apple-system, BlinkMacSystemFont">                                                                    
                                      <td>{{ item.id }}</td>
                                      <td>{{ item.nombres }}</td>
                                      
                                      {% if item.ap_paterno %}
                                        <td>{{ item.ap_paterno }}</td>
                                      {% else %}
                                        <td></td>
                                      {% endif %}
                                        
                                      <!-- {% if item.ap_materno %}
                                        <td>{{ item.ap_materno }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %} -->
                                                                     
                                      <td>{{ item.fecha_de_pago }}</td>
                                      <td>{{ item.localidad }}</td>
                                      <td>
                                        <a href="{% url 'app_clientes:clientes_edit' item.id %}">
                                          <button class="btn bg-warning btn-sm" >
                                            <i class="fa fa-edit"></i>
                                          </button>
                                        </a>

                                        <a href="{% url 'app_clientes:clientes_delete' item.id %}">
                                          <button class="btn bg-danger btn-sm">
                                            <i class="fa fa-trash-alt"></i>
                                          </button>
                                        </a>

                                        <a href="{% url 'app_clientes:pagos_por_cliente' item.id %}">
                                          <button class="btn btn-info btn-sm" style="font-family: 'Poppins', sans-serif; font-size: small; font-weight: normal;">
                                            <i class="fa fa-list-alt"></i><span> Ver historial</span>
                                          </button>
                                        </a>
                                        
                                        <a href="{% url 'app_clientes:agregar_pago' item.id %}">
                                          <button class="btn-sm bg-success">
                                            <img src="{% static 'dist/img/pagar.png' %}" class="card-img-top" height="20px" width="40px" alt="img de pago">
                                          </button>                                          
                                        </a>

                                        <a href="{% url 'app_clientes:modems_por_cliente' item.id %}">
                                          <button class="btn-sm">
                                            <div>
                                              <img src="{% static 'dist/img/modem.svg' %}" class="card-img-top" height="20px" width="40px" alt="modem">
                                            </div>
                                          </button>                                          
                                        </a>
                                        
                                        <a href="{% url 'app_clientes:antenas_por_cliente' item.id %}">
                                          <button class="btn-sm">
                                            <div>
                                              <img src="{% static 'dist/img/antena.svg' %}" class="card-img-top" height="20px" width="40px" alt="antena">
                                            </div>
                                          </button>
                                        </a>

                                        <a href="{% url 'app_clientes:detalles_de_instalacion' item.id %}">
                                          <button class="btn-sm">
                                            <div>
                                              <img src="{% static 'dist/img/settings-antena.svg' %}" class="card-img-top" height="20px" width="40px" alt="emisora">
                                            </div>
                                          </button>
                                        </a>
                                        
                                      </td>                                                                      
                                  </tr>
                                  {% endfor %}                              
                              
                              </tbody>                            
                            </table>
                            <!-- /.table -->
                            {% endif %}
                        </div>
                        <!-- /.card-body -->
                      </div>
                      <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
            </div>
        </div>
    </section>
{% endblock content %}

  

    
    